//Delta Emmett
//Brackets for Bottom Vertex using EMT
//12/9/2015     By: David Bunch
//10/10/2016    Modified for use with an Electronics holding bracket
Ht = 8;
L_Ht = 28;
S_Ht = 12;
Ht2 = Ht / 2;
HoleID = 3.5;           //I am using M4x25mm bolts to attach brackets to Vertex
BoltHdDia = 7.8;
M3Nut = 7;
Hole_Z_Offset = 7.75;   //This gives 6mm plastic around hole from bottom or top
Hole_Z_Offset = 5;
Qty = 1;        //1, 2 or 4 quantity
Assembly = 3;           //1 = Draw Assembled, 0 = Draw as printed parts sideways
                        //2 = Draw Single Part upside down
Hole_X_Offset = 23.0;
Hole_Y_Offset = 20;
EMT_OD = 23.7;

//
Tab_Len = 62.6;           //Length of Tab to hold Electronics
Elec_Hole_X_Offset = 76.52;      //Offset from center to where to drill electronics mounting hole
$fn=76;
module Elec_LongBracket()
{
    linear_extrude(height = S_Ht, center = false , convexity = 10)
    import(file = "EMT_ElectronicsBracket.dxf", layer = "Elec_LongBracket");
}
module Elec_ShortBracket()
{
    linear_extrude(height = S_Ht, center = false , convexity = 10)
    import(file = "EMT_ElectronicsBracket.dxf", layer = "Elec_ShortBracket");
}
module Elec_LongB_Cutout()
{
    translate([0,0,-1])
    linear_extrude(height = S_Ht+2, center = false , convexity = 10)
    import(file = "EMT_ElectronicsBracket.dxf", layer = "Elec_LongB_Cutout");
}
//Elec_LongB_Cutout
module CutNutTrap()
{
    rotate([0,90,0])
    rotate([90,0,0])
    {
        translate([0,0,-2.25])
        cylinder(d=7,h=4.5,$fn=6);
        translate([-20,-3.0311,-2.25])
        cube([20,6.0622,4.5]);
    }
}
echo((Tab_Len+19+0.9134));
module DrawGlassSingleBracket()
{
    difference()
    {
//        union()
//        {
            Elec_LongBracket();
//            translate([-(Tab_Len+19+0.9134),-11.85,0])
//            cube([(Tab_Len+0.9134),6,S_Ht]);
//        }

        translate([-10,-Hole_Y_Offset,S_Ht/2])
        rotate([0,90,0])
        cylinder(d=HoleID,h=30,$fn=24);         //M3 hole to tighten Bracket around 3/4" EMT

        translate([-8,-Hole_Y_Offset,S_Ht/2])
        rotate([0,90,0])
        cylinder(d=6,h=3,$fn=24);               //Countersink M3 socket head by 2mm
        translate([5,-Hole_Y_Offset,S_Ht/2])
        rotate([0,90,0])
        cylinder(d=M3Nut,h=3,$fn=6);               //Countersink M3 Nut by 2mm
        translate([-Elec_Hole_X_Offset,-8.5,S_Ht/2])
        rotate([90,0,0])
        cylinder(d=HoleID,h=8,$fn=24,center=true);  //Electronics mounting hole
//Chamfer the End of the Tab
        translate([-(Tab_Len+19+0.9134),-8.5,S_Ht])
        rotate([90,0,0])
        cylinder(d=6,h=8,$fn=4,center=true);  //Chamfer top corner of Tab       
        translate([-(Tab_Len+19+0.9134),-8.5,0])
        rotate([90,0,0])
        cylinder(d=6,h=8,$fn=4,center=true);  //Chamfer bottom corner of Tab
        Elec_LongB_Cutout();
    }
}
DrawGlassSingleBracket();